summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-crypt/scute/Manifest1
-rw-r--r--app-crypt/scute/scute-1.5.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/app-crypt/scute/Manifest b/app-crypt/scute/Manifest
index 1d6282f42203..249e07038a64 100644
--- a/app-crypt/scute/Manifest
+++ b/app-crypt/scute/Manifest
@@ -1 +1,2 @@
DIST scute-1.4.0.tar.bz2 772986 SHA256 bd698a853375324c4ff590899c1994be83d8d0a1400fcaf489529646965fb745 SHA512 7961679ce3195aeb3ed1508557c767b59970cd221b569c0fa00cd419e4017b84a851f1fbe46323a4ffb6256c6b91bb037f93edb4f4f7f9f6e0add672b9cc2015 WHIRLPOOL 6e4bc0852d389ac2103edb5bb0c0c260642dcc596862fec55db3ffd51a5fc6cd0752a81d864b36db4544c5b1efbf944f76672806bcaa8305ccf07bb9f817459e
+DIST scute-1.5.0.tar.bz2 991598 SHA256 6199d28d8ce17f979f67059b461ab55a2276fc390eaa45e5ce6ff615bf81ab96 SHA512 ad1dbdba5681a92696c851eca7e2bfb61f7bf84f5e02728efc1f72cd25c4ee2dc18fe975e2903d1a85c635d16be1e2085ff2305827b48d80e18c9354e555b39a WHIRLPOOL 008d0f6d306898fe64ae7c9a689178f246b3380f07f6d1e1b2f423552eff74d6133cbe71a5337ec90cacd0c91525219d1ba1d2fb20c80891b921b1de5b06fe3e
diff --git a/app-crypt/scute/scute-1.5.0.ebuild b/app-crypt/scute/scute-1.5.0.ebuild
new file mode 100644
index 000000000000..85adede2192a
--- /dev/null
+++ b/app-crypt/scute/scute-1.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit ltprune
+
+DESCRIPTION="A PKCS #11 module for OpenPGP smartcards"
+HOMEPAGE="http://www.scute.org/"
+SRC_URI="mirror://gnupg/scute/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+# configure script try to check the version of gpgsm and gpg-agent when
+# non-crosscompiling so we need to have them as build-time dependency as
+# well as runtime. Require a version of gnupg that is patched to have
+# gpgsm-gencert.sh working (as that's what the documentation describe).
+DEPEND="
+ >=dev-libs/libgpg-error-1.4
+ >=dev-libs/libassuan-2.0.0
+ >=app-crypt/pinentry-0.7.0
+ >=app-crypt/gnupg-2.0.17-r1[smartcard]"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ econf \
+ --libdir=/usr/$(get_libdir)/pkcs11 \
+ --with-gpgsm=/usr/bin/gpgsm
+}
+
+src_install() {
+ default
+ prune_libtool_files --modules
+}